import { bool_response } from "./bool_response";
import { product } from "./product";

export class product_response extends bool_response {
    #product;

    constructor(target) {
        super(target);

        this.#product = null;
        
        if (this.result) {
            if (!("product" in target)) {
                throw new Error(_("incomplete-request-with-good-status"));
            }

            this.#product = new product(target.product);
        }
    }

    get product() {
        return this.#product;
    }
}